> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stablestack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Validate Address

> API reference for validating Stablecoin addresses

Validates addresses for Stablecoin. Returns validation status and message.


## OpenAPI

````yaml GET /payouts/validate-address
openapi: 3.0.0
info:
  title: 'StableStack: API Service'
  description: "# Overview\n\n##  Introduction\n\nStableStack offers an API first, last mile payment orchestration + liquidity router built with stablecoins. Stablecoin layer integrated into your existing payment flow, with smart accounts and blockchain abstraction. Go between digital and fiat currencies in minutes.\n\n## Getting Help\n\nWe're excited to have you build with us! If you're integrating, we will set up a communication channel. This will enable our teams to easily collaborate and ensure you launch as quickly as possible.\n\nPlease reach out to us at\_[hello@stablestack.xyz](https://mailto:hello@stablestack.xyz)\_for any questions or concerns."
  version: 1.0.0
servers:
  - url: https://api-staging.stablestack.com/api
    description: StableStack API
security: []
tags:
  - name: customers
  - name: customers > kyc
  - name: payouts
  - name: banks
  - name: transactions
  - name: wallets
  - name: assets
  - name: swap
paths:
  /payouts/validate-address:
    get:
      tags:
        - payouts
      summary: 'merchant: validate address'
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          required: true
          example: ''
        - name: currency
          in: query
          description: Stablecoin symbol (e.g. usdc)
          required: true
          schema:
            type: string
            enum:
              - usdc
          example: usdc
        - name: address
          in: query
          description: Stablecoin address to validate
          required: true
          schema:
            type: string
          example: 0x598C6d42fd6eE0ekleF4f9CAb789e264E8b895f3
      responses:
        '200':
          description: OK
          headers:
            Content-Security-Policy:
              schema:
                type: string
                example: >-
                  default-src 'self';base-uri 'self';font-src 'self' https:
                  data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                  data:;object-src 'none';script-src 'self';script-src-attr
                  'none';style-src 'self' https:
                  'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
                example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
                example: '?1'
            Referrer-Policy:
              schema:
                type: string
                example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
                example: max-age=31536000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
                example: 'off'
            X-Download-Options:
              schema:
                type: string
                example: noopen
            X-Frame-Options:
              schema:
                type: string
                example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
                example: none
            X-XSS-Protection:
              schema:
                type: integer
                example: '0'
            Vary:
              schema:
                type: string
                example: Origin
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
                example: 'true'
            RateLimit-Policy:
              schema:
                type: string
                example: 60;w=60
            RateLimit-Limit:
              schema:
                type: integer
                example: '60'
            RateLimit-Remaining:
              schema:
                type: integer
                example: '59'
            RateLimit-Reset:
              schema:
                type: integer
                example: '60'
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '85'
            ETag:
              schema:
                type: string
                example: W/"55-FDGwjGE2KzVgyLjRqGJfTMRxvrE"
            Date:
              schema:
                type: string
                example: Fri, 09 May 2025 15:06:35 GMT
            Connection:
              schema:
                type: string
                example: keep-alive
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: success
                  data:
                    type: object
                    properties:
                      valid:
                        type: boolean
                  message:
                    type: string
              examples:
                validAddress:
                  summary: Valid address example
                  value:
                    status: success
                    data:
                      valid: true
                    message: Address validation successful.
        '400':
          description: Bad Request
          headers:
            Content-Security-Policy:
              schema:
                type: string
                example: >-
                  default-src 'self';base-uri 'self';font-src 'self' https:
                  data:;form-action 'self';frame-ancestors 'self';img-src 'self'
                  data:;object-src 'none';script-src 'self';script-src-attr
                  'none';style-src 'self' https:
                  'unsafe-inline';upgrade-insecure-requests
            Cross-Origin-Opener-Policy:
              schema:
                type: string
                example: same-origin
            Cross-Origin-Resource-Policy:
              schema:
                type: string
                example: same-origin
            Origin-Agent-Cluster:
              schema:
                type: string
                example: '?1'
            Referrer-Policy:
              schema:
                type: string
                example: no-referrer
            Strict-Transport-Security:
              schema:
                type: string
                example: max-age=31536000; includeSubDomains
            X-Content-Type-Options:
              schema:
                type: string
                example: nosniff
            X-DNS-Prefetch-Control:
              schema:
                type: string
                example: 'off'
            X-Download-Options:
              schema:
                type: string
                example: noopen
            X-Frame-Options:
              schema:
                type: string
                example: SAMEORIGIN
            X-Permitted-Cross-Domain-Policies:
              schema:
                type: string
                example: none
            X-XSS-Protection:
              schema:
                type: integer
                example: '0'
            Vary:
              schema:
                type: string
                example: Origin
            Access-Control-Allow-Credentials:
              schema:
                type: boolean
                example: 'true'
            RateLimit-Policy:
              schema:
                type: string
                example: 60;w=60
            RateLimit-Limit:
              schema:
                type: integer
                example: '60'
            RateLimit-Remaining:
              schema:
                type: integer
                example: '59'
            RateLimit-Reset:
              schema:
                type: integer
                example: '60'
            Content-Type:
              schema:
                type: string
                example: application/json; charset=utf-8
            Content-Length:
              schema:
                type: integer
                example: '85'
            ETag:
              schema:
                type: string
                example: W/"55-FDGwjGE2KzVgyLjRqGJfTMRxvrE"
            Date:
              schema:
                type: string
                example: Fri, 09 May 2025 15:06:35 GMT
            Connection:
              schema:
                type: string
                example: keep-alive
            Keep-Alive:
              schema:
                type: string
                example: timeout=5
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    example: failed
                  message:
                    type: string
                  errors:
                    type: array
                    items:
                      type: object
                      properties:
                        type:
                          type: string
                        value:
                          type: string
                        msg:
                          type: string
                        path:
                          type: string
                        location:
                          type: string
              examples:
                invalidCurrency:
                  summary: Invalid currency error
                  value:
                    status: failed
                    message: Bad Request
                    errors:
                      - type: field
                        value: usd
                        msg: Only USDC is supported
                        path: currency
                        location: query
                invalidAddress:
                  summary: Invalid address error
                  value:
                    status: failed
                    message: >-
                      The recipient address provided is invalid or not
                      supported.

````